/*
 * Copyright 2005 The Apache Software Foundation.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */
/*
 * Copyright 2005 Sun Microsystems, Inc. All rights reserved.
 */
/*
 * $Id: DOMStructure.java 375655 2006-02-07 18:35:54Z mullan $
 */
package org.jcp.xml.dsig.internal.dom;

import javax.xml.crypto.MarshalException;
import javax.xml.crypto.XMLStructure;
import javax.xml.crypto.dom.DOMCryptoContext;
import org.w3c.dom.Node;

/**
 * DOM-based abstract implementation of XMLStructure.
 *
 * @author Sean Mullan
 */
public abstract class DOMStructure implements XMLStructure {

    public final boolean isFeatureSupported(String feature) {
	if (feature == null) {
	    throw new NullPointerException();
	} else {
	    return false;
	}
    }

    public abstract void marshal(Node parent, String dsPrefix, 
	DOMCryptoContext context) throws MarshalException;
}
